Bug 1479809 - Remove all the commands for RHEL6 in installation guide for NFS-Ganesha section
Remove all the commands for RHEL6 in installation guide for NFS-Ganesha section
Status: CLOSED CURRENTRELEASE
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: Documentation (Show other bugs)
3.3
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Laura Bailey
Manisha Saini
:
Depends On:
Blocks: 1417157
  Show dependency treegraph
 
Reported: 2017-08-09 08:37 EDT by Manisha Saini
Modified: 2017-09-25 07:29 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-09-25 07:29:54 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Manisha Saini 2017-08-09 08:37:42 EDT
Document URL: 

https://access.redhat.com/documentation/en-us/red_hat_gluster_storage/3.2/html/installation_guide/chap-deploying_nfsganesha#idm140537258943488

Section Number and Name: 

Chapter 4. Deploying NFS-Ganesha on Red Hat Gluster Storage

Describe the issue: 

Remove all the RHEL6 commands for NFS-Ganesha in installation guide for 3.3 as from 3.3 we are not supporting RHEL6 support for NFS-Ganesha

Suggestions for improvement: 

Additional information:
Comment 7 Manisha Saini 2017-08-31 01:18:09 EDT
Laura..

Thanks.RHEL6 instances for ganesha has been removed.Changes looks good to me.

For section -

7.2.2. Updating NFS-Ganesha in the Offline Mode
NOTE
NFS-Ganesha does not support in-service updates. This means all running services and
I/O operations must be stopped before starting the update process.


This section needs to be modified in installation guide as we are supporting the rolling upgrade from 3.2 async to 3.3 which is already covered as the part of documentation bug-https://bugzilla.redhat.com/show_bug.cgi?id=1461557

To clarify-

From 3.1.X to 3.2.x -NFS-Ganesha offline upgrade is supported.
From 3.2 Async to 3.3 -NFS-Ganesha inservice upgrade is supported. Covered in section -
8.2.3. In-Service Software Upgrade

@Laura and @Soumya - Should we need to cover Offline upgrade steps for 3.1.x to 3.2.x in 3.3 installation guide?As the inservice upgrade is only supported from 3.2 async to 3.3

In that case note mentioned in section 7.2.2 needs to be clear mentioning its from 3.1.x to 3.2 async.Currently its mis-leading.


Laura let me know if this needs to be covered as a separate Doc bug.
Comment 11 Manisha Saini 2017-08-31 12:36:32 EDT
@Laura and @Soumya,

On discussion with Rahul,he confirmed that we do support direct upgrade path from last 2 releases.

That confirms that we do support upgrade from 3.1.x to 3.3.

For installation guide,As for NFS-Ganesha we have different mode of upgrades from different releases,in my opinion we need to mention both offline (from 3.1.x to 3.3) and inservice upgrade steps (from 3.2.x to 3.3).



But at the same time,as atin mentioned in chat with soumya ,If there is a note in admin guide stating
" we need to first upgrade to 3.2 and then go to 3.3" then this direct upgrade from 3.1.x to 3.3 is no more stand valid.


Laura can you confirm on this note?
Comment 12 Manisha Saini 2017-08-31 12:37:49 EDT
Setting back needinfo's
Comment 16 Manisha Saini 2017-09-05 12:35:39 EDT
Laura,

Yes...Correct.We support in-service upgrade from last version i.e from 3.2 to 3.3
Reviewed the doc.Following are some points which needs to be looked into.


1) In chapter "CHAPTER 7. UPDATING RED HAT GLUSTER STORAGE FROM 3.3.X TO 3.3.Y"
 
Offline upgrade should not be there for NFS-Ganesha in this section.It should be replaced by inservice upgrade steps.As from 3.2 to 3.3 we are supporting inservice upgrade,in theory we will be supporting inservice upgrade for further minor versions of 3.3 as well.Currently offline upgrade in this section may cause confusion coz its only valid from 3.1.x to 3.3.From 3.2 to 3.3 QE has ONLY qualified inservice upgrade.

This section needs to be corrected.

2)In chapter "CHAPTER 8. UPGRADING TO RED HAT GLUSTER STORAGE 3.3"
 ->8.1. OFFLINE UPGRADE TO RED HAT GLUSTER STORAGE 3.3 

This section should be clearly mentioned as upgrade from 3.1.x to 3.3 (only for NFS-Ganesha upgrade part) as in this section offline upgrade steps are present.


3)  Enable nfs-ganesha after upgrade i.e point 19 is missing from the doc in both the sections-

a)- 8.1.1. Upgrading to Red Hat Gluster Storage 3.3 for Systems Subscribed to Red Hat Network
b)- 8.1.2. Upgrading to Red Hat Gluster Storage 3.3 for Systems Subscribed to Red Hat Satellite Server


19.Enable nfs-ganesha on the cluster:
# gluster nfs-ganesha enable
For example:
# gluster nfs-ganesha enable
Enabling NFS-Ganesha requires Gluster-NFS to be disabled across the trusted pool. Do you still want to continue?
 (y/n) y
This will take a few minutes to complete. Please wait ..
nfs-ganesha : success



Draft mentioning deprecation notice for RHEL6 NFS-Ganesha looks good to me.Yes we are not supporting 3.3 ganesha on RHEL6 at all.It was already informed in field by PM in DEC 2016 during planning meeting regarding deprecation of nfs-ganesha on RHEL6 based platform.
Comment 17 Manisha Saini 2017-09-05 12:40:07 EDT
Lost devel_ack in collision given by anjana.
 Raising needinfo on Anjana to reset the flag as i cannot set it again

Note You need to log in before you can comment on or make changes to this bug.